var solution = {
    vzorec1: "Na2O",
    vzorec4: "SiO2",
    vzorec6: "SO3",
    
    nazev2: "oxid vápenatý",
    nazev3: "oxid hlinitý",
    nazev5: "oxid fosforečný",
    nazev7: "oxid chloristý",
    
    hka1: 0,
    hka2: 0,
    hka3: 2,
    hka4: 1,
    hka5: 1,
    hka6: 1,
    hka7: 1
}


function checkAnswers(node) {
   var form = node.parentNode;
    
    // vyhledani text. policek
   var inputs = form.querySelectorAll("input[type=text]");
    
    for (var i = 0; i < inputs.length; i++) {
        var input = inputs[i];
        
        var val = input.value; //nacteni hodnoty z policka
        val = val.replace(/^\s+/, ""); // mezery na zacatku
        val = val.replace(/\s+$/, ""); // mezery na konci
        
        val = val.replace(/\s+/g, " "); // mezery mezi slovy
        
        if (input.id.indexOf("nazev") > -1) {
            val = val.toLowerCase(); // prevod na mala pismena
        }
        
        
        if (val == "") { //policko je prazdne
            continue;
        }
        
        if (val == solution[input.id]) {
            input.className = "correct";
        }
        else {
            input.className = "wrong";
        }
    }
}


function showAnswers(node) {
    var form = node.parentNode;
    
    var inputs = form.querySelectorAll("input[type=text]");
    
    for (var i = 0; i < inputs.length; i++) {
        var input = inputs[i];
        
        input.value = solution[input.id];
    }
}


function checkRadios(node) {
    var form = node.parentNode;
    
    var score = {ok: 0, nok: 0, non: 0}
    
    //nacteni radku tabulky
    var rows = form.querySelectorAll("tr");
    for (var i = 0; i < rows.length; i++) {
        //nacten radiobuttonu
        var inputs = rows[i].querySelectorAll("input");
        
        for (var j = 0; j < inputs.length; j++) {
            var input = inputs[j];
            input.className = "";
            
            //je input zatrzeny?
            if (input.checked) {
                if (j == solution[input.name]) {
                    input.className = "correct";
                    score.ok++;
                }
                else {
                    input.className = "wrong";
                    score.nok++;
                }
            }
            
           
        }
    }
    score.non = rows.length - score.ok - score.nok;
    
    // score["ok"] == score.ok
    var vypis = "Správně: " + score.ok + ", špatně: " + score.nok + ", nezatrženo: " + score.non + ".";
    
    form.querySelector("span.score").innerHTML = vypis;
}
























